%define api		1.0
%define major		36
%define libname 	%mklibname %{name} %{api} %{major}
%define libname_devel	%mklibname %{name} -d

# don't provide plugin .so
%define _exclude_files_from_autoprov %{_libdir}/gretl-gtk2/.*\\.so

Name:		gretl
Version:	2020e
Release:	%mkrel 1
Summary:	A tool for econometric analysis
Group:		Sciences/Mathematics
License:	GPLv3+ and BSD and MIT
URL:		http://gretl.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
#Licensing of plugins used in gretl
Source1:	gretl_plugins.txt
Patch2:		gretl-2016b-fix-desktop-file.patch
BuildRequires:	R-base
BuildRequires:	blas-devel
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	desktop-file-utils
BuildRequires:	fftw-devel
BuildRequires:	fonts-ttf-bitstream-vera
BuildRequires:	fonts-ttf-freefont
BuildRequires:	gettext
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	gmp-devel
BuildRequires:	gnuplot
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	lapack-devel
BuildRequires:	pkgconfig(libgsf-1)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(mpfr)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(gtksourceview-3.0)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(odbc)
Requires:	gnuplot
Requires:	R-base
Requires:	fonts-ttf-bitstream-vera
Requires:	fonts-ttf-freefont

%description
A cross-platform software package for econometric analysis,
written in the C programming language.

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		Development/C

%description -n %{libname}
This package contains the shared library files for %{name}.

%package -n %{libname_devel}
Summary:	Development files for %{name}
Group:		Development/C

%description -n %{libname_devel}
This package contains the development files for %{name}.

%prep
%setup -q
%patch2 -p1 -b .desktop

# fix include path
sed -i -e 's:includedir=${prefix}/include:includedir=${prefix}/include/gretl:' gretl.pc.in

# plugins licensing notes
install -pm644 %{SOURCE1} .

%build
%configure \
	--disable-static \
	--disable-rpath \
	--with-libR \
	--with-odbc \
	--with-gsf
%make_build

%install
%make_install

%find_lang %{name}

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%doc ChangeLog CompatLog README gretl_plugins.txt
%{_bindir}/gretl*
%{_libdir}/gretl-gtk3/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/mimetypes/*.png
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libgretl-%{api}.so.%{major}
%{_libdir}/libgretl-%{api}.so.%{major}.*

%files -n %{libname_devel}
%{_libdir}/pkgconfig/gretl.pc
%{_libdir}/libgretl-%{api}.so
%{_includedir}/%{name}/


%changelog
* Sun Nov 22 2020 daviddavid <daviddavid> 2020e-1.mga8
+ Revision: 1648455
- new version: 2020e

* Fri Aug 07 2020 daviddavid <daviddavid> 2020d-1.mga8
+ Revision: 1611783
- new version: 2020d

* Sun Aug 02 2020 daviddavid <daviddavid> 2020c-1.mga8
+ Revision: 1610494
- new version: 2020c

* Sun Apr 12 2020 daviddavid <daviddavid> 2020b-1.mga8
+ Revision: 1566561
- new version: 2020b
- now libmajor is 33

* Tue Feb 18 2020 umeabot <umeabot> 2019d-3.mga8
+ Revision: 1542169
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 2019d-2.mga8
+ Revision: 1475962
- rebuild for readline

* Tue Dec 24 2019 daviddavid <daviddavid> 2019d-1.mga8
+ Revision: 1469829
- new version: 2019d
- now libmajor is 31

* Wed Jul 03 2019 daviddavid <daviddavid> 2019c-1.mga8
+ Revision: 1418009
- new version: 2019c
- now libmajor is 30

* Sun Jun 30 2019 daviddavid <daviddavid> 2019b-1.mga8
+ Revision: 1416505
- new version: 2019b
- libmajor is now 29

* Thu Feb 07 2019 daviddavid <daviddavid> 2019a-1.mga7
+ Revision: 1363763
- new version: 2019a
- now libmajor is 28

* Sat Dec 22 2018 daviddavid <daviddavid> 2018d-1.mga7
+ Revision: 1344425
- new version: 2018d

* Sun Dec 16 2018 wally <wally> 2018c-2.mga7
+ Revision: 1341609
- drop unneeded libgnome2 BR

* Wed Sep 05 2018 daviddavid <daviddavid> 2018c-1.mga7
+ Revision: 1257319
- new version: 2018c
- now libmajor is 26
- enable libgsf support
- flite support dropped upstream

* Fri May 18 2018 eatdirt <eatdirt> 2018a-2.mga7
+ Revision: 1230335
- Rebuild for new openmpi

* Wed Mar 28 2018 kekepower <kekepower> 2018a-1.mga7
+ Revision: 1213242
- Update to version 2018a

* Mon Feb 19 2018 kekepower <kekepower> 2016b-7.mga7
+ Revision: 1202949
- Rebuild for new mpfr

* Tue Jan 02 2018 wally <wally> 2016b-6.mga7
+ Revision: 1189437
- rebuild for new readline

* Mon Oct 09 2017 eatdirt <eatdirt> 2016b-5.mga7
+ Revision: 1170574
- Rebuild for new openmpi

* Fri Dec 02 2016 tmb <tmb> 2016b-4.mga6
+ Revision: 1071628
- rebuild for new openmpi

* Sat May 21 2016 daviddavid <daviddavid> 2016b-3.mga6
+ Revision: 1017352
- rebuild for new and fixed flite 2.0.0
- add some missing files (icons, desktop, mime packages, ...)

* Mon Apr 18 2016 shlomif <shlomif> 2016b-1.mga6
+ Revision: 1003390
- Add BR on json-glib
- New version 2016b

* Mon Feb 08 2016 umeabot <umeabot> 1.9.12-6.mga6
+ Revision: 947595
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.9.12-5.mga5
+ Revision: 749693
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.9.12-4.mga5
+ Revision: 679936
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.9.12-3.mga4
+ Revision: 532228
- Mageia 4 Mass Rebuild
+ wally <wally>
- drop unneeded requires (gtksourceview will be pulled with libs)

* Sun Aug 18 2013 wally <wally> 1.9.12-2.mga4
+ Revision: 467569
- disable rpath

* Sun Aug 18 2013 wally <wally> 1.9.12-1.mga4
+ Revision: 467564
- new version 1.9.12
- new major 7
- build with flite (add P0 and %%setup hack)
- add patch to fix linking
- exclude plugin .so from provides
- BR curl-devel
- clean .spec

* Sat Jun 01 2013 malo <malo> 1.9.9-1.mga4
+ Revision: 434237
- fix man page listing
+ joequant <joequant>
- check in changes
- split out libs file
  clean up spec file
- imported package gretl

